import { Module } from '../module'
import components from './components'

/**
 * Test cases
 *
 * - generic async function
 * - file operation
 * - REST operation
 * - timed operation
 * - DB operation
 */

const demoModule = new Module('demo', {components})

const stateVariables = {
  fileContent: 'Hello World.'
}
function * loadFile (action) {}
demoModule.addAsync('loadFile', stateVariables, loadFile)
console.log(demoModule)

export default demoModule
