import React from 'react'
import { render } from 'react-dom'
import { Container } from './module'
import demoModule from './demoModule'

const AppContainer = new Container()
AppContainer.addModule(demoModule)

class Main extends React.Component {
  render () {
    return (
      <div>
        <h1>Welcome to React!</h1>
      </div>
    )
  }
}

const App = AppContainer.createApp(Main)

render(App, document.getElementById('root'))
